$(function(e){
  'use strict';

  new Morris.Bar({
    element: 'morrisBar1',
    data: [
      { y: '2014', a: 110, b: 100 },
      { y: '2015', a: 85,  b: 75 },
      { y: '2016', a: 60,  b: 50 },
      { y: '2017', a: 85,  b: 75 },
      { y: '2018', a: 60,  b: 50 },
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Series A', 'Series B'],
    barColors: ['#ec82ef', '#867efc'],
    gridTextSize: 11,
    hideHover: 'auto',
    resize: true
  });

  new Morris.Bar({
    element: 'morrisBar2',
    data: [
      { y: '2014', a: 120, b: 100 },
      { y: '2015', a: 85,  b: 75 },
      { y: '2016', a: 60,  b: 50 },
      { y: '2017', a: 85,  b: 75 },
      { y: '2018', a: 60,  b: 50 },
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Series A', 'Series B'],
    barColors: ['#ff7088', '#0db9de'],
    stacked: true,
    gridTextSize: 11,
    hideHover: 'auto',
    resize: true
  });

  new Morris.Bar({
    element: 'morrisBar3',
    data: [
      { y: '2014', a: 130, b: 100, c: 90 },
      { y: '2015', a: 85,  b: 75, c: 85 },
      { y: '2016', a: 70,  b: 50, c: 65 },
      { y: '20017', a: 95,  b: 75, c: 95 },
    ],
    xkey: 'y',
    ykeys: ['a', 'b', 'c'],
    labels: ['Series A', 'Series B', 'Series C'],
    barColors: ['#6f6ccd', '#26eda2','#ff958b'],
    gridTextSize: 11,
    hideHover: 'auto',
    resize: true
  });

  new Morris.Bar({
    element: 'morrisBar4',
    data: [
      { y: '2014', a: 150, b: 120, c: 90 },
      { y: '2015', a: 95,  b: 75, c: 85 },
      { y: '2016', a: 70,  b: 50, c: 55 },
      { y: '2017', a: 85,  b: 75, c: 95 },
      { y: '2018', a: 75,  b: 80, c: 70 },
    ],
    xkey: 'y',
    ykeys: ['a', 'b', 'c'],
    labels: ['Series A', 'Series B', 'Series C'],
    barColors: ['#0cb6e0', '#ff7088','#0db9de'],
    stacked: true,
    gridTextSize: 11,
    hideHover: 'auto',
    resize: true
  });


  new Morris.Line({
    element: 'morrisLine1',
    data: [
      { y: '2012', a: 30, b: 20 },
      { y: '2013', a: 40,  b: 25 },
      { y: '2014', a: 50,  b: 40 },
      { y: '2015', a: 60,  b: 35 },
      { y: '2016', a: 40,  b: 25 },
      { y: '2017', a: 55,  b: 30 },
      { y: '2018', a: 70, b: 50 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Series A', 'Series B'],
    lineColors: ['#0cb6e0', '#26eda2'],
    lineWidth: 1,
    ymax: 'auto 100',
    gridTextSize: 11,
    hideHover: 'auto',
    smooth: false,
    resize: true
  });

  new Morris.Line({
    element: 'morrisLine2',
    data: [
      { y: '2012', a: 30, b: 20, c: 50 },
      { y: '2013', a: 40, b: 25, c: 55 },
      { y: '2014', a: 60, b: 50, c: 75 },
      { y: '2015', a: 50, b: 35, c: 65 },
      { y: '2016', a: 40, b: 25, c: 55 },
      { y: '2017', a: 55, b: 30, c: 75 },
      { y: '2018', a: 70, b: 50, c: 80 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b', 'c'],
    labels: ['Series A', 'Series B', 'Series C'],
    lineColors: ['#ff7088', '#ff958b', '#6fb9de'],
    lineWidth: 1,
    ymax: 'auto 100',
    gridTextSize: 11,
    hideHover: 'auto',
    resize: true
  });

  new Morris.Area({
    element: 'morrisArea1',
    data: [
      { y: '2012', a: 70, b: 50 },
      { y: '2013', a: 45,  b: 55 },
      { y: '2014', a: 30,  b: 50 },
      { y: '2015', a: 85,  b: 75 },
      { y: '2016', a: 60,  b: 50 },
      { y: '2017', a: 85,  b: 75 },
      { y: '2018', a: 110, b: 100 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b'],
    labels: ['Series A', 'Series B'],
    lineColors: ['#26eda2', '#ff958b'],
    lineWidth: 1,
    fillOpacity: 0.5,
    gridTextSize: 11,
    hideHover: 'auto',
    resize: true
  });

  new Morris.Area({
    element: 'morrisArea2',
    data: [
      { y: '2012', a: 30, b: 20, c: 50 },
      { y: '2013', a: 40, b: 25, c: 55 },
      { y: '2014', a: 60, b: 50, c: 75 },
      { y: '2015', a: 70, b: 35, c: 65 },
      { y: '2016', a: 40, b: 25, c: 55 },
      { y: '2017', a: 55, b: 30, c: 75 },
      { y: '2018', a: 70, b: 50, c: 80 }
    ],
    xkey: 'y',
    ykeys: ['a', 'b', 'c'],
    labels: ['Series A', 'Series B', 'Series C'],
    lineColors: ['#ff7088', '#26eda2', '#867efc'],
    lineWidth: 1,
    fillOpacity: 0.5,
    gridTextSize: 11,
    hideHover: 'auto',
    resize: true
  });

  new Morris.Donut({
    element: 'morrisDonut1',
    data: [
      {label: "Designers", value: 22},
      {label: "Accountant", value: 40},
      {label: "Sales", value: 30}
	  
    ],
    colors: ['#0db9de','#867efc','#ec82ef'],
    resize: true
  });

  new Morris.Donut({
    element: 'morrisDonut2',
    data: [
      {label: "Marketing", value: 22},
      {label: "Software", value: 40},
      {label: "Manager", value: 30},
      {label: "Infant", value: 35}
    ],
    colors: ['#0cb6e0','#26eda2','#ff7088','#ff958b'],
    resize: true
  });

});
